Pagerer
=======

Pagerer is a module providing a collection of pager styles to enhance Drupal
and Views standard pagers.

Administrators or site builders can preset multiple pager configurations. Each
'preset' allows a pager to be made up of three 'panes': left, center, and
right. Each pane can contain (or not) a pager style. In this way there are
plenty of possibilities to combine different elements to satisfy complex
requirements.

Pagerer allows to override Drupal's core pager with any of the preset
configurations. Also, a pager plugin for Views allows to use any of the preset
pagers within any view.

Pagerer uses standard Drupal pager classes to render the pagers, so CSS styling
is preserved.

Module developers can also make direct calls to the styles, thus allowing
even more complex scenarios.

Features
--------
- direct input of the page to go to through an input widget
- selection of the page to go to through a jQuery UI slider
- selection of the page to go to through a client-side scrolling pager

Styles
------
- _Mini_        - minimal pager, providing direct page entry
- _Scrollpane_  - provides page navigation through a scrolling pager
- _Slider_      - provides page navigation through a jQuery UI slider

Requirements
------------
- The module **must** be downloaded or updated using Composer, see [Download contributed modules and themes using Composer](https://www.drupal.org/node/2718229#adding-modules).
This will also ensure the _JQuery UI_ dependency modules get downloaded.

Credits
-------
- The 'Mini' style concept is to a large extent the same of the
  'Minimax pager' module for Drupal 6 (i.e. proudly copied, thanks @mattyoung).
- The animated preloader icon for the jQuery slider widget in timelapse mode
  was generated by http://preloaders.net.
- The use of jQuery queuing for the scrollpane animation was inspired by Ben
  Nadel's blog post http://www.bennadel.com/blog/1864-Experimenting-With-jQuery-s-Queue-And-Dequeue-Methods.htm

-------------------------------------------------------------------------------


Styles
======

Mini
----
This style displays current page (or item), and provides a direct page
entry widget to allow navigating to another page.

Examples:

```
page 9 out of 955, display 'pages':
-----------------------
<< < Page 9 of 955 > >>
-----------------------
```

```
page 9 out of 955, total items = 47731, limit = 50, display = 'items':
---------------------------
<< < Item 401 of 47731 > >>
---------------------------
```

Scrollpane
----------
This style displays a standard pager that is scrollable on the browser
through navigation buttons. Users can get to any page link without having
to send a request to the server.

Slider
------
This style displays a jQuery slider. Page navigation is managed via
Javascript.
